local M = {}

-- threshold set to 5000 for whats considered moderate damage
-- to call onCarDamaged function, change it if you like
local damageThreshold = 5000
local lastDamage = 0
local isDamaged = false

local function updateGFX(dt)
	if playerInfo.firstPlayerSeated then return end
	
	if beamstate.damage == 0 and isDamaged then
		isDamaged = false
	end
	
	if beamstate.damage > lastDamage + damageThreshold and not isDamaged then
		-- code executed when car is damaged
	
		obj:queueGameEngineLua('scripts_test_extension.onCarDamaged(' .. obj:getID() .. ')')
	
		isDamaged = true
	end
	
	lastDamage = beamstate.damage
end

M.updateGFX = updateGFX

return M